package com.jpsoft.weixin.dao;

import java.util.List;

import com.jpsoft.weixin.dto.Sort;
import org.springframework.stereotype.Repository;
import com.jpsoft.weixin.entity.ReplyMessage;
import java.util.Map;

@Repository
public interface ReplyMessageDAO {
	int insert(ReplyMessage entity);
	int update(ReplyMessage entity);
	int exist(String id);
	ReplyMessage get(String id);
	int delete(String id);
	List<ReplyMessage> list();
	List<ReplyMessage> search(Map<String,Object> searchParams,List<Sort> sortList);
	ReplyMessage findByEvent(String wechatId, String event);
}