package com.jpsoft.picc.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.InsuranceDefinitionLimit;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface InsuranceDefinitionLimitDAO {
	int insert(InsuranceDefinitionLimit entity);
	int update(InsuranceDefinitionLimit entity);
	int exist(String id);
	InsuranceDefinitionLimit get(String id);
	int delete(String id);
	List<InsuranceDefinitionLimit> list();
	List<InsuranceDefinitionLimit> findByDefinitionId(String definitionId);
	List<InsuranceDefinitionLimit> search(Map<String, Object> searchParams, List<Sort> sortList);
}