package com.jpsoft.picc.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.TemplateMessage;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface TemplateMessageDAO {
	int insert(TemplateMessage entity);
	int update(TemplateMessage entity);
	int exist(String id);
	TemplateMessage get(String id);
	int delete(String id);
	List<TemplateMessage> list();
	List<TemplateMessage> search(Map<String,Object> searchParams,List<Sort> sortList);
}