package com.jpsoft.picc.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.base.entity.ReplyMessage;
import com.jpsoft.picc.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface ReplyMessageService {
	ReplyMessage get(String id);
	boolean exist(String id);
	int insert(ReplyMessage model);
	int update(ReplyMessage model);
	int delete(String id);
	List<ReplyMessage> list();
	Page<ReplyMessage> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
	ReplyMessage findByEvent(String fromUserName, String event);
}