package com.jpsoft.picc.modules.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "weixin")
@Data
public class WeixinConfig {
    private String appId;
    private String appSecret;
    private String tokenUrl;
    private String createQrCodeUrl;
    private String sendTmplMsgUrl;

    public final static String SCAN_QRCODE_LOGIN_PREFIX = "SCAN_QRCODE_LOGIN_";
}
