package com.jpsoft.weixin.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:wechat_reply_message的实体类
 */
@Data
@ApiModel(value = "自动回复消息设置")
public class ReplyMessage {
    @ApiModelProperty(value = "编号")
	private String id;
	@ApiModelProperty(value = "微信公众号")
	private String wechatId;
    @ApiModelProperty(value = "事件")
	private String event;
    @ApiModelProperty(value = "回复消息")
	private String message;

	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
	private Date createTime;

	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;

	@ApiModelProperty(value = "回调地址")
	private String callbackUrl;
}